OFFSETOF(3)

NAME
offsetof - offset of a structure member

SYNOPSIS
#include <stddef.h>
size_t
offsetof(type, member);

DESCRIPTION
The offsetof() macro expands to an integer constant expression of type size_t and yields the offset, in bytes, of the field member from the start of the structure type.

A compiler error will result if member is not aligned to a byte boundary (i.e. it is a bit-field).

STANDARDS
The offsetof() macro conforms to ansiC.